---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libsp06t003.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x3170, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x509C8, symBinAddr: 0xCA00, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52908, symBinAddr: 0xE940, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52CF0, symBinAddr: 0xED28, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53C90, symBinAddr: 0xFCC8, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53C98, symBinAddr: 0xFCD0, symSize: 0x0 }
  - { offsetInCU: 0xBAA, offset: 0xBAA, size: 0x8, addend: 0x0, symName: _testedThreadReady, symObjAddr: 0x6B398, symBinAddr: 0x273D0, symSize: 0x0 }
  - { offsetInCU: 0xBC5, offset: 0xBC5, size: 0x8, addend: 0x0, symName: _testedThreadShouldFinish, symObjAddr: 0x6B39C, symBinAddr: 0x273D4, symSize: 0x0 }
  - { offsetInCU: 0xBDA, offset: 0xBDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50648, symBinAddr: 0xC8C8, symSize: 0x0 }
  - { offsetInCU: 0xBE5, offset: 0xBE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x5064C, symBinAddr: 0xC8CC, symSize: 0x0 }
  - { offsetInCU: 0xBF0, offset: 0xBF0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50650, symBinAddr: 0xC8D0, symSize: 0x0 }
  - { offsetInCU: 0xC35, offset: 0xC35, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x507A0, symBinAddr: 0xC8D8, symSize: 0x0 }
  - { offsetInCU: 0xCAE, offset: 0xCAE, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50858, symBinAddr: 0xC990, symSize: 0x0 }
  - { offsetInCU: 0xCC7, offset: 0xCC7, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5085C, symBinAddr: 0xC994, symSize: 0x0 }
  - { offsetInCU: 0xCE0, offset: 0xCE0, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50860, symBinAddr: 0xC998, symSize: 0x0 }
  - { offsetInCU: 0xCF9, offset: 0xCF9, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50864, symBinAddr: 0xC99C, symSize: 0x0 }
  - { offsetInCU: 0xD12, offset: 0xD12, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50868, symBinAddr: 0xC9A0, symSize: 0x0 }
  - { offsetInCU: 0x92D8, offset: 0x92D8, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50870, symBinAddr: 0xC9A8, symSize: 0x0 }
  - { offsetInCU: 0x9361, offset: 0x9361, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50880, symBinAddr: 0xC9B8, symSize: 0x0 }
  - { offsetInCU: 0x937A, offset: 0x937A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50888, symBinAddr: 0xC9C0, symSize: 0x0 }
  - { offsetInCU: 0x9393, offset: 0x9393, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50890, symBinAddr: 0xC9C8, symSize: 0x0 }
  - { offsetInCU: 0x93AC, offset: 0x93AC, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50898, symBinAddr: 0xC9D0, symSize: 0x0 }
  - { offsetInCU: 0x93C5, offset: 0x93C5, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x508A0, symBinAddr: 0xC9D8, symSize: 0x0 }
  - { offsetInCU: 0x93DF, offset: 0x93DF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x508A8, symBinAddr: 0xC9E0, symSize: 0x0 }
  - { offsetInCU: 0x94C5, offset: 0x94C5, size: 0x8, addend: 0x0, symName: __ZL11threadsDesc, symObjAddr: 0xEEE0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x956D, offset: 0x956D, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x508F0, symBinAddr: 0xC9E8, symSize: 0x0 }
  - { offsetInCU: 0x9586, offset: 0x9586, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x508F8, symBinAddr: 0xC9F0, symSize: 0x0 }
  - { offsetInCU: 0x959F, offset: 0x959F, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x50938, symBinAddr: 0xC9F8, symSize: 0x0 }
  - { offsetInCU: 0x95B8, offset: 0x95B8, size: 0x8, addend: 0x0, symName: __ZL10eventsList, symObjAddr: 0xF6F0, symBinAddr: 0xC8C0, symSize: 0x0 }
  - { offsetInCU: 0x9640, offset: 0x9640, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2134, symSize: 0xA0 }
  - { offsetInCU: 0x96D5, offset: 0x96D5, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x210C, symSize: 0x28 }
  - { offsetInCU: 0x9738, offset: 0x9738, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x208C, symSize: 0x80 }
  - { offsetInCU: 0x99CC, offset: 0x99CC, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x21D4, symSize: 0x34 }
  - { offsetInCU: 0x9A26, offset: 0x9A26, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x2208, symSize: 0x20C }
  - { offsetInCU: 0x9BDF, offset: 0x9BDF, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x2414, symSize: 0x28 }
  - { offsetInCU: 0x9CA8, offset: 0x9CA8, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x243C, symSize: 0xB0 }
  - { offsetInCU: 0x9D9F, offset: 0x9D9F, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x24EC, symSize: 0xD8 }
  - { offsetInCU: 0x9EF0, offset: 0x9EF0, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x25C4, symSize: 0x24 }
  - { offsetInCU: 0xA02B, offset: 0xA02B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x25E8, symSize: 0x168 }
  - { offsetInCU: 0xA207, offset: 0xA207, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x2750, symSize: 0x104 }
  - { offsetInCU: 0xA4B8, offset: 0xA4B8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x2854, symSize: 0x3F8 }
  - { offsetInCU: 0xA6DC, offset: 0xA6DC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x2C4C, symSize: 0x154 }
  - { offsetInCU: 0xA8C0, offset: 0xA8C0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x2DA0, symSize: 0xAC }
  - { offsetInCU: 0xA995, offset: 0xA995, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x2E4C, symSize: 0x14 }
  - { offsetInCU: 0xA9CE, offset: 0xA9CE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x2E60, symSize: 0x14 }
  - { offsetInCU: 0xAA07, offset: 0xAA07, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x2E74, symSize: 0x14 }
  - { offsetInCU: 0xAC08, offset: 0xAC08, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x2E88, symSize: 0x1A8 }
  - { offsetInCU: 0xAF12, offset: 0xAF12, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3030, symSize: 0x140 }
  - { offsetInCU: 0xB0B3, offset: 0xB0B3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x33E0, symSize: 0x1C0 }
  - { offsetInCU: 0xB390, offset: 0xB390, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x35A0, symSize: 0x9C }
  - { offsetInCU: 0xB44E, offset: 0xB44E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x363C, symSize: 0x690 }
  - { offsetInCU: 0xBFDF, offset: 0xBFDF, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9FF8, symBinAddr: 0x57E4, symSize: 0x30 }
  - { offsetInCU: 0xC06B, offset: 0xC06B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x3CCC, symSize: 0x74 }
  - { offsetInCU: 0xC11B, offset: 0xC11B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_enableEvents, symObjAddr: 0x4A0C, symBinAddr: 0x3D40, symSize: 0xE4 }
  - { offsetInCU: 0xC210, offset: 0xC210, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x3E24, symSize: 0xB0 }
  - { offsetInCU: 0xC31B, offset: 0xC31B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x3ED4, symSize: 0x3C }
  - { offsetInCU: 0xC411, offset: 0xC411, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x3F10, symSize: 0x29C }
  - { offsetInCU: 0xC754, offset: 0xC754, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x41AC, symSize: 0xD0 }
  - { offsetInCU: 0xC882, offset: 0xC882, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x427C, symSize: 0xC }
  - { offsetInCU: 0xC944, offset: 0xC944, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x4288, symSize: 0x22C }
  - { offsetInCU: 0xCBFF, offset: 0xCBFF, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x44B4, symSize: 0x4 }
  - { offsetInCU: 0xCC43, offset: 0xCC43, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x44B4, symSize: 0x4 }
  - { offsetInCU: 0xCC5C, offset: 0xCC5C, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x44B8, symSize: 0x29C }
  - { offsetInCU: 0xCF6D, offset: 0xCF6D, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F68, symBinAddr: 0x4754, symSize: 0x4 }
  - { offsetInCU: 0xCFB1, offset: 0xCFB1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F68, symBinAddr: 0x4754, symSize: 0x4 }
  - { offsetInCU: 0xCFCA, offset: 0xCFCA, size: 0x8, addend: 0x0, symName: _callbackCompiledMethodLoad, symObjAddr: 0x8F6C, symBinAddr: 0x4758, symSize: 0x15C }
  - { offsetInCU: 0xD0BD, offset: 0xD0BD, size: 0x8, addend: 0x0, symName: _callbackCompiledMethodUnload, symObjAddr: 0x90C8, symBinAddr: 0x48B4, symSize: 0x118 }
  - { offsetInCU: 0xD142, offset: 0xD142, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP06_sp06t003ThreadRunningNative_testedMethod, symObjAddr: 0x91E0, symBinAddr: 0x49CC, symSize: 0x70 }
  - { offsetInCU: 0xD1DC, offset: 0xD1DC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP06_sp06t003ThreadRunningNative_checkReady, symObjAddr: 0x9250, symBinAddr: 0x4A3C, symSize: 0x40 }
  - { offsetInCU: 0xD268, offset: 0xD268, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP06_sp06t003ThreadRunningNative_letFinish, symObjAddr: 0x9290, symBinAddr: 0x4A7C, symSize: 0x10 }
  - { offsetInCU: 0xD3DA, offset: 0xD3DA, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x92A0, symBinAddr: 0x4A8C, symSize: 0xD58 }
  - { offsetInCU: 0xE0C5, offset: 0xE0C5, size: 0x8, addend: 0x0, symName: __ZL12checkThreadsiPKc, symObjAddr: 0xA380, symBinAddr: 0x5B6C, symSize: 0x450 }
  - { offsetInCU: 0xE4F1, offset: 0xE4F1, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA028, symBinAddr: 0x5814, symSize: 0x358 }
...
